- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# assert.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | __BEGIN_DECLS
#define | __END_DECLS
#define | _assert(e) assert(e)
#define | assert(e)
## Functions
void | __assert (const char *, const char *, int, const char *)
| The underlying assertion call which is wrapped by assert().

## Define Documentation

#define __BEGIN_DECLS

Definition at line 46 of file assert.h.

#define __END_DECLS

Definition at line 47 of file assert.h.

#define _assert | ( | e |  | ) | assert(e)

Definition at line 62 of file assert.h.

#define assert | ( | e |  | ) |

Value:

    ((e) ? (void)0 : __assert(__func__, __FILE__, \
                                __LINE__, #e))

Definition at line 64 of file assert.h.

Referenced by adjustCowCounter(), biosCall(), execFile(), execThread(), fclose(), fork_copyProcess(), fread(), freePage(), insertFreeDesc(), kfree(), kmalloc(), kmod_load(), ldEnable(), NICtoPC(), openFileUbixFS(), PCtoNIC(), readUbixFS(), sysExec(), ubixfs_cacheAdd(), ubixfs_cacheFind(), ubixfs_cacheNew(), ubixfs_initialize(), ubixfs_loadData(), writeFileByte(), and writeUbixFS().

## Function Documentation

void __assert | ( | const char * | ,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  |

The underlying assertion call which is wrapped by assert().

Definition at line 38 of file assert.c.

References K_PANIC, kprintf(), and NULL.

Here is the call graph for this function: